package html;

import java.io.PrintWriter;
import html.*;

public class Anchor extends Component
{
  String url;
  String target;
  Component comment;

  // Class initialization code
  public Anchor(String aurl, Component acomment)
  {
    url = aurl;
    comment = acomment;
    target = null;
  }

  public Anchor(String aurl, Component acomment, String atarget)
  {
    url = aurl;
    comment = acomment;
    target = atarget;
  }

  // This routine handles the painting
  public void paint(PrintWriter context)
  {
    context.println("<A HREF=\"" + url + "\"");
    if (target != null)
      context.println(" TARGET=\"" + target + "\"");
    context.println(">");
    comment.paint(context);
    context.println("</A>");
  }
} // end class Anchor
